import { type SystemMenu } from '@/lib/types/all'
import { type InternalAxiosRequestConfig } from 'axios'

export const config = {
  baseUrlStr: '',
  srcViews: {} as any,
  apiPrefix: '',
  filePrefix: '',
  uploadUrl: '',
  homePageUrl: '/home',
  loginSetting: {
    loginPageUrl: '/login',
    redirectName: 'redirect',
    accessToken: {
      storageKeyStr: 'Authorization',
      storageMethod: 'cookie' as 'cookie' | 'localStorage' | 'sessionStorage',
      storageExpire: 0,//毫秒数,暂时只支持cookie模式下设置有效期
      requestMethod: 'header' as 'header' | 'querystring',
      requestKeyStr: 'Authorization',
      requestPrefix: 'Bearer '
    },
    getCurrentUser: (): Object | null => {
      console.log('getCurrentUser')
      return null
    }
  },
  routerSetting: {
    layoutComponment: null as any,
    staticRoutes: [] as any[],
    formatMenus: (menus: any[]): SystemMenu[] => {
      return menus
    },
    dynamicMenus: () => {
      return new Promise((resolve) => {
        resolve([])
      })
    }
  },
  requestConfig: (config: InternalAxiosRequestConfig<any>) => {
    console.log('requestConfig' + config)
  },
  sysIconRequest: (iconCode: string) => {
    console.log('sysIconRequest', iconCode)
    return new Promise((resolve) => {
      resolve({ code: 1, mark: 'undefined', msg: '未定义' })
    })
  }
}

export default config
