import { showNotify, showDialog, type NotifyType } from 'vant'
import { type MessageAlert } from '../types/all'

export const message = {
    toast: (params: MessageAlert) => {
        let messageType: NotifyType = 'primary'
        switch (params.type) {
            case 'success':
                messageType = 'success'
                break
            case 'error':
                messageType = 'danger'
                break
            case 'info':
                messageType = 'primary'
                break
            case 'warning':
                messageType = 'warning'
                break
            case 0:
                messageType = 'success'
                break
            case 1:
                messageType = 'danger'
                break
            case 2:
                messageType = 'primary'
                break
            case 3:
                messageType = 'warning'
                break
            default:
                messageType = 'primary'
                break
        }
        showNotify({
            message: params.message,
            type: messageType
        })
    },
    alert: (params: MessageAlert) => {
        let messageType: NotifyType = 'primary'
        switch (params.type) {
            case 'success':
                messageType = 'success'
                break
            case 'error':
                messageType = 'danger'
                break
            case 'info':
                messageType = 'primary'
                break
            case 'warning':
                messageType = 'warning'
                break
            case 0:
                messageType = 'success'
                break
            case 1:
                messageType = 'danger'
                break
            case 2:
                messageType = 'primary'
                break
            case 3:
                messageType = 'warning'
                break
            default:
                messageType = 'primary'
                break
        }
        console.log(messageType)
        showDialog({
            title: params.title,
            message: params.message,
            //type: messageType,
            confirmButtonText: '确认'
        }).then(() => {
            if (params.onOK) {
                params.onOK()
            }
        })
    }
}

export default message