import { createApp } from 'vue'
import * as ZfzUI from './lib/index'
import './lib/styles/all.less'

ZfzUI.zfz.config.baseUrlStr = import.meta.env.BASE_URL
ZfzUI.zfz.config.srcViews = import.meta.glob('/src/test/**/*.vue')

ZfzUI.zfz.config.apiPrefix = 'https://localhost:5001'
ZfzUI.zfz.config.routerSetting.staticRoutes = [
  {
    path: '/login',
    name: 'login',
    component: () => import('./test/login.vue')
  }
]
ZfzUI.zfz.config.routerSetting.dynamicMenus = () => {
  return ZfzUI.zfz.request.post({
    url: '/api/staff-common/system/menu/query-tree-by-sys-app-key',
    data: {
      sysAppKey: 'appid:54f083fad0c64370adfc27a240151a2f'
    }
  })
}
ZfzUI.zfz.router.initialize()
ZfzUI.zfz.config.requestConfig = () => { }
ZfzUI.zfz.config.sysIconRequest = (iconCode: string) => {
  return ZfzUI.zfz.request.post({
    url: '/api/staff-common/system/icon/query-item',
    data: {
      templateId: 1,
      code: iconCode
    }
  })
}

import './style.css'
import App from './App.vue'

const app = createApp(App)

app.use(ZfzUI.default)

app.mount('#app')